Subject: Re: [PATCH net] selftests: netdevsim: Fix ethtool-features.sh fail

From: Sabrina Dubroca <[email-masked]>
Date: Mon, 3 Nov 2025 10:59:31 +0100

2025-11-03, 16:58:42 +0800, Wang Liang wrote:
> 
> 在 2025/10/31 7:13, Sabrina Dubroca 写道:
> > 2025-10-30, 11:22:03 +0800, Wang Liang wrote:
> > > This patch adds executable permission to script 'ethtool-features.sh', and
> > > check 'ethtool --json -k' support.
> > Those are two separate things, probably should be two separate patches.
> 
> 
> Ok, I will extract the executable permission change to a new patch.
> 
> > 
> > [...]
> > > @@ -7,6 +7,11 @@ NSIM_NETDEV=$(make_netdev)
> > >   set -o pipefail
> > > +if ! ethtool --json -k $NSIM_NETDEV > /dev/null 2>&1; then
> > I guess it's improving the situation, but I've got a system with an
> > ethtool that accepts the --json argument, but silently ignores it for
> >   -k (ie `ethtool --json -k $DEV` succeeds but doesn't produce a json
> > output), which will still cause the test to fail later.
> 
> 
> That is indeed a bit strange.
> 
> I'm not sure the best way to handle this situation now. Maybe update ethtool
> instead of checking the output is not a bad method.

That's what Jakub was suggesting in his answer [1]. ethtool has
supported json output for -k for almost 4 years, running upstream
selftests with a version of ethtool older than that doesn't really
make sense, so only the "permission change" patch is really needed.

[1] https://lore.kernel.org/netdev/[email-masked]/

-- 
Sabrina